generic_binary_traits< ddot_ >

## Classes

struct | hint
struct | hint< A1, A2, undeterminated_basic< R > >
struct | hint< tensor4_basic< A1 >, undeterminated_basic< A2 >, tensor_basic< R > >
struct | hint< tensor4_basic< A1 >, undeterminated_basic< A2 >, undeterminated_basic< R > >
struct | hint< tensor_basic< A1 >, undeterminated_basic< A2 >, R >
struct | hint< tensor_basic< A1 >, undeterminated_basic< A2 >, undeterminated_basic< R > >
struct | hint< undeterminated_basic< A1 >, tensor4_basic< A2 >, tensor_basic< R > >
struct | hint< undeterminated_basic< A1 >, tensor4_basic< A2 >, undeterminated_basic< R > >
struct | hint< undeterminated_basic< A1 >, tensor_basic< A2 >, R >
struct | hint< undeterminated_basic< A1 >, tensor_basic< A2 >, undeterminated_basic< R > >
struct | hint< undeterminated_basic< A1 >, undeterminated_basic< A2 >, R >
struct | hint< undeterminated_basic< A1 >, undeterminated_basic< A2 >, undeterminated_basic< R > >
struct | result_hint

## Public Types

typedef std::true_type | is_symmetric

## Static Public Member Functions

static space_constant::valued_type | valued_tag (space_constant::valued_type tag1, space_constant::valued_type tag2)

## Detailed Description

Definition at line 1548 of file expression.h.

## Member Typedef Documentation

## is_symmetric

typedef std::true_type is_symmetric

Definition at line 1673 of file expression.h.

## Member Function Documentation

## valued_tag()

static space_constant::valued_type valued_tag | ( | space_constant::valued_type | tag1,
|  | space_constant::valued_type | tag2
| ) |  |

static

Definition at line 1550 of file expression.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/expression.h